org.springframework.jdbc.support.xml

## Interface SqlXmlObjectMappingHandler

All Superinterfaces:
  SqlXmlHandler

    public interface SqlXmlObjectMappingHandler
    extends SqlXmlHandler

Abstraction for handling XML object mapping to fields in a database.

Provides accessor methods for XML fields unmarshalled to an Object, and acts as factory for `SqlXmlValue` instances for marshalling purposes.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  `ResultSet.getSQLXML(int)`, `SQLXML`

### Method Summary

Methods
`Object` `getXmlAsObject(ResultSet rs, int columnIndex)` Retrieve the given column as an object marshalled from the XML data retrieved from the given ResultSet.
`Object` `getXmlAsObject(ResultSet rs, String columnName)` Retrieve the given column as an object marshalled from the XML data retrieved from the given ResultSet.
`SqlXmlValue` `newMarshallingSqlXmlValue(Object value)` Get an instance of an `SqlXmlValue` implementation to be used together with the database specific implementation of this `SqlXmlObjectMappingHandler`.

### Methods inherited from interface org.springframework.jdbc.support.xml.SqlXmlHandler

`getXmlAsBinaryStream, getXmlAsBinaryStream, getXmlAsCharacterStream, getXmlAsCharacterStream, getXmlAsSource, getXmlAsSource, getXmlAsString, getXmlAsString, newSqlXmlValue, newSqlXmlValue, newSqlXmlValue, newSqlXmlValue, newSqlXmlValue`

### Method Detail

#### getXmlAsObject

    Object getXmlAsObject(ResultSet rs,
                        String columnName)
                          throws SQLException

Retrieve the given column as an object marshalled from the XML data retrieved from the given ResultSet.

Works with an internal Object to XML Mapping implementation.

Parameters:
  `rs` - the ResultSet to retrieve the content from
  `columnName` - the column name to use
Returns:
  the content as an Object, or `null` in case of SQL NULL
Throws:
  `SQLException` - if thrown by JDBC methods
See Also:
  `ResultSet.getSQLXML(int)`

#### getXmlAsObject

    Object getXmlAsObject(ResultSet rs,
                        int columnIndex)
                          throws SQLException

Retrieve the given column as an object marshalled from the XML data retrieved from the given ResultSet.

Works with an internal Object to XML Mapping implementation.

Parameters:
  `rs` - the ResultSet to retrieve the content from
  `columnIndex` - the column index to use
Returns:
  the content as an Object, or `null` in case of SQL NULL
Throws:
  `SQLException` - if thrown by JDBC methods
See Also:
  `ResultSet.getSQLXML(int)`

#### newMarshallingSqlXmlValue

    SqlXmlValue newMarshallingSqlXmlValue(Object value)

Get an instance of an `SqlXmlValue` implementation to be used together with the database specific implementation of this `SqlXmlObjectMappingHandler`.

Parameters:
  `value` - the Object to be marshalled to XML
Returns:
  the implementation specific instance
See Also:
  `SqlXmlValue`